Loading...
Searching...
No Matches
pcl::visualization::PointCloudGeometryHandlerCustom< pcl::PCLPointCloud2 > Class Reference
Module visualization

Custom handler class for PointCloud geometry. More...

`#include <pcl/visualization/point_cloud_geometry_handlers.h>`

Inheritance diagram for pcl::visualization::PointCloudGeometryHandlerCustom< pcl::PCLPointCloud2 >:

## Public Types

using | PointCloud = PointCloudGeometryHandler< pcl::PCLPointCloud2 >::PointCloud
using | PointCloudPtr = PointCloud::Ptr
using | PointCloudConstPtr = PointCloud::ConstPtr
Public Types inherited from pcl::visualization::PointCloudGeometryHandler< pcl::PCLPointCloud2 >
using | PointCloud = pcl::PCLPointCloud2
using | PointCloudPtr = PointCloud::Ptr
using | PointCloudConstPtr = PointCloud::ConstPtr
using | Ptr = shared_ptr< PointCloudGeometryHandler< PointCloud > >
using | ConstPtr = shared_ptr< const PointCloudGeometryHandler< PointCloud > >

## Public Member Functions

| PointCloudGeometryHandlerCustom (const PointCloudConstPtr &cloud, const std::string &x_field_name, const std::string &y_field_name, const std::string &z_field_name)
| Constructor.
virtual std::string | getName () const
| Class getName method.
virtual std::string | getFieldName () const
| Get the name of the field used.
Public Member Functions inherited from pcl::visualization::PointCloudGeometryHandler< pcl::PCLPointCloud2 >
| PointCloudGeometryHandler (const PointCloudConstPtr &cloud, const Eigen::Vector4f &=Eigen::Vector4f::Zero())
| Constructor.
virtual | ~PointCloudGeometryHandler ()=default
| Destructor.
bool | isCapable () const
| Check if this handler is capable of handling the input data or not.
virtual void | getGeometry (vtkSmartPointer< vtkPoints > &points) const
| Obtain the actual point geometry for the input dataset in VTK format.
void | setInputCloud (const PointCloudConstPtr &cloud)
| Set the input cloud to be used.

## Additional Inherited Members

Protected Attributes inherited from pcl::visualization::PointCloudGeometryHandler< pcl::PCLPointCloud2 >
PointCloudConstPtr | cloud_
| A pointer to the input dataset.
bool | capable_
| True if this handler is capable of handling the input data, false otherwise.
index_t | field_x_idx_
| The index of the field holding the X data.
index_t | field_y_idx_
| The index of the field holding the Y data.
index_t | field_z_idx_
| The index of the field holding the Z data.
std::vector< pcl::PCLPointField > | fields_
| The list of fields available for this PointCloud.

## Detailed Description

Custom handler class for PointCloud geometry.

Given an input dataset and three user defined fields, all data present in them is extracted and displayed on screen as XYZ data.

Author
  Radu B. Rusu

Definition at line 461 of file point_cloud_geometry_handlers.h.

## Member Typedef Documentation

## PointCloud

using pcl::visualization::PointCloudGeometryHandlerCustom< pcl::PCLPointCloud2 >::PointCloud = PointCloudGeometryHandler<pcl::PCLPointCloud2>::PointCloud

Definition at line 464 of file point_cloud_geometry_handlers.h.

## PointCloudConstPtr

using pcl::visualization::PointCloudGeometryHandlerCustom< pcl::PCLPointCloud2 >::PointCloudConstPtr = PointCloud::ConstPtr

Definition at line 466 of file point_cloud_geometry_handlers.h.

## PointCloudPtr

using pcl::visualization::PointCloudGeometryHandlerCustom< pcl::PCLPointCloud2 >::PointCloudPtr = PointCloud::Ptr

Definition at line 465 of file point_cloud_geometry_handlers.h.

## Constructor & Destructor Documentation

## PointCloudGeometryHandlerCustom()

pcl::visualization::PointCloudGeometryHandlerCustom< pcl::PCLPointCloud2 >::PointCloudGeometryHandlerCustom | ( | const PointCloudConstPtr & | cloud,
|  | const std::string & | x_field_name,
|  | const std::string & | y_field_name,
|  | const std::string & | z_field_name
| ) |  |

Constructor.

## Member Function Documentation

## getFieldName()

virtual std::string pcl::visualization::PointCloudGeometryHandlerCustom< pcl::PCLPointCloud2 >::getFieldName | ( |  | ) | const

inline virtual

Get the name of the field used.

Implements pcl::visualization::PointCloudGeometryHandler< pcl::PCLPointCloud2 >.

Definition at line 480 of file point_cloud_geometry_handlers.h.

## getName()

virtual std::string pcl::visualization::PointCloudGeometryHandlerCustom< pcl::PCLPointCloud2 >::getName | ( |  | ) | const

inline virtual

Class getName method.

Implements pcl::visualization::PointCloudGeometryHandler< pcl::PCLPointCloud2 >.

Definition at line 476 of file point_cloud_geometry_handlers.h.

The documentation for this class was generated from the following file:

- pcl/visualization/point_cloud_geometry_handlers.h